#!/bin/bash

# CONFIGURATION #
WEB_ROOT=/var/www/pixelfed
WEB_USER=www-data
HORIZON_SERVICE=horizon.service
# END CONFIGURATION #

set +x

su - $WEB_USER -s /bin/bash -c "cd $WEB_ROOT && git pull"
su - $WEB_USER -s /bin/bash -c "cd $WEB_ROOT && composer install --no-ansi --no-dev --no-interaction --no-progress --no-scripts --optimize-autoloader"
su - $WEB_USER -s /bin/bash -c "cd $WEB_ROOT && composer dump-autoload --optimize"
su - $WEB_USER -s /bin/bash -c "cd $WEB_ROOT && php artisan config:cache"
su - $WEB_USER -s /bin/bash -c "cd $WEB_ROOT && php artisan route:cache"
su - $WEB_USER -s /bin/bash -c "cd $WEB_ROOT && php artisan migrate --force"

# Make sure we restart Horizon workers too
sudo systemctl restart $HORIZON_SERVICE
